Package org.apache.cxf.interceptor

# Interface Interceptor<T extends Message>

All Known Subinterfaces:
  `OneWayInterceptor<T>`, `PhaseInterceptor<T>`

All Known Implementing Classes:
  `AbstractAuthorizingInInterceptor`, `AbstractBeanValidationInterceptor`, `AbstractInDatabindingInterceptor`, `AbstractLoggingInterceptor`, `AbstractOutDatabindingInterceptor`, `AbstractPhaseInterceptor`, `AbstractSecurityContextInInterceptor`, `AbstractUsernameTokenInInterceptor`, `AbstractValidationInterceptor`, `AbstractXSLTInterceptor`, `AttachmentInInterceptor`, `AttachmentOutInterceptor`, `AttachmentOutInterceptor.AttachmentOutEndingInterceptor`, `BeanValidationInInterceptor`, `BeanValidationOutInterceptor`, `ClientBeanValidationOutInterceptor`, `ClientFaultConverter`, `DelegatingAuthenticationInterceptor`, `DepthRestrictingStreamInterceptor`, `FaultOutInterceptor`, `FIStaxInInterceptor`, `FIStaxOutInterceptor`, `GZIPInInterceptor`, `GZIPOutInterceptor`, `JAASLoginInterceptor`, `LoggingInInterceptor`, `LoggingOutInterceptor`, `MAPAggregator`, `MessageSenderInterceptor`, `MessageSenderInterceptor.MessageSenderEndingInterceptor`, `OneWayProcessorInterceptor`, `OperationInfoAuthorizingInterceptor`, `OutgoingChainInterceptor`, `SecureAnnotationsInterceptor`, `ServiceInvokerInterceptor`, `SimpleAuthorizingInterceptor`, `StaxDataBindingInterceptor`, `StaxInEndingInterceptor`, `StaxInInterceptor`, `StaxOutEndingInterceptor`, `StaxOutInterceptor`, `StaxSchemaValidationInInterceptor`, `StaxSchemaValidationOutInterceptor`, `TransformInInterceptor`, `TransformOutInterceptor`, `XSLTInInterceptor`, `XSLTOutInterceptor`

public interface Interceptor<T extends Message>
Base interface for all interceptors.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `handleFault(T message)`
  Called for all interceptors (in reverse order) on which handleMessage had been successfully invoked, when normal execution of the chain was aborted for some reason.
  `void`
  `handleMessage(T message)`
  Intercepts a message.

- ## Method Details

  - ### handleMessage

    void handleMessage(T message) throws Fault
    Intercepts a message. Interceptors should NOT invoke handleMessage or handleFault on the next interceptor - the interceptor chain will take care of this.
    Parameters:
      `message` -
    Throws:
      `Fault`

  - ### handleFault

    void handleFault(T message)
    Called for all interceptors (in reverse order) on which handleMessage had been successfully invoked, when normal execution of the chain was aborted for some reason.
    Parameters:
      `message` -